const styleConfig = {
    xAxis:{
        name:'X轴',
        sub:{
            show:{
                name:'是否显示',
                comType:'radio',
                defaultValue:true,
                comInfo:[{
                        'name': '是',
                        'value': true
                    },
                    {
                        'name': '否',
                        'value': false
                }]
            },
            name:{
                name:'坐标轴名称',
                comType:'input',
                defaultValue:''
            },
            nameTextStyle:{
                name:'坐标轴名称样式',
                sub:{
                    color:{
                        name:'颜色',
                        comType:'colorPicker',
                        defaultValue:'#fff'
                    },
                    fontSize:{
                        name:'字体大小',
                        comType:'slider',
                        defaultValue:12,
                        comInfo:{
                            min:12,
                            max:50
                        }
                    }
                }
            },
            axisLine:{
                name:'轴线设置',
                sub:{
                    show:{
                        name:'是否显示',
                        comType:'radio',
                        defaultValue:true,
                        comInfo:[{
                                'name': '是',
                                'value': true
                            },
                            {
                                'name': '否',
                                'value': false
                        }]
                    },
                    lineStyle:{
                        name:'样式',
                        sub:{
                            width:{
                                name:'宽度',
                                comType:'slider',
                                defaultValue:1,
                                comInfo:{
                                    min:1,
                                    max:10
                                }
                            }
                        }
                    }
                }
            }
        }
    },
    color:{
        name:'系列色',
        sub:{
            color:{
                name:'系列色',
                comType: 'colorPickerList',
                defaultValue:['#5470c6', '#91cc75', '#fac858', '#ee6666', '#73c0de', '#3ba272', '#fc8452', '#9a60b4', '#ea7ccc']
            }
        }
    }
}

export default styleConfig;