const Utils = {
    parseStyle: function(style){
        let result = {};

        for(var key in style){
            if(style[key].sub){
                result[key] = this.parseStyle(style[key].sub);
            }else{
                result[key] = style[key].defaultValue;
            }
        }

        return result;
    },
    parseData: function(dataConfig){
        let result = {};

        let { configList, defaultData } = dataConfig;
        configList.forEach( item =>{
            // if(item.comType == "single"){
            //     result[item.type] = {
            //         name:item.defaultKey,
            //         data:defaultData[item.defaultKey]
            //     }
            // }

            let columns = item.comType == "single" ? [item.defaultKey] : item.defaultKey;
            result[item.type] = columns.map( key => {
                return {
                    name:key,
                    data:defaultData[key]
                }
            })
            
        })

        return result;
    }
}

export default Utils;